<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>I2C Driver Error code</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle">
<div class="title">I2C Driver Error code<div class="ingroups"><a class="el" href="group___i2_c___d_r_i_v_e_r.html">I2C Master Driver</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:gabdd99c24de172be1e1325193f2227ee1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gabdd99c24de172be1e1325193f2227ee1"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___i2_c___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#gabdd99c24de172be1e1325193f2227ee1">I2C_EINVAL</a>&#160;&#160;&#160;(MMWAVE_ERRNO_I2C_BASE-1)</td></tr>
<tr class="memdesc:gabdd99c24de172be1e1325193f2227ee1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Invalid argument. <br /></td></tr>
<tr class="separator:gabdd99c24de172be1e1325193f2227ee1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga195ff4c9c20af6a5a3c4b52a8a8f0430"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga195ff4c9c20af6a5a3c4b52a8a8f0430"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___i2_c___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga195ff4c9c20af6a5a3c4b52a8a8f0430">I2C_EINUSE</a>&#160;&#160;&#160;(MMWAVE_ERRNO_I2C_BASE-2)</td></tr>
<tr class="memdesc:ga195ff4c9c20af6a5a3c4b52a8a8f0430"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Operation cannot be implemented because a previous operation is still not complete. <br /></td></tr>
<tr class="separator:ga195ff4c9c20af6a5a3c4b52a8a8f0430"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3ce22ea20e2e656307b138ad2f687eec"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga3ce22ea20e2e656307b138ad2f687eec"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___i2_c___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga3ce22ea20e2e656307b138ad2f687eec">I2C_ENOTIMPL</a>&#160;&#160;&#160;(MMWAVE_ERRNO_I2C_BASE-3)</td></tr>
<tr class="memdesc:ga3ce22ea20e2e656307b138ad2f687eec"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Operation is not implemented. <br /></td></tr>
<tr class="separator:ga3ce22ea20e2e656307b138ad2f687eec"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>Base error code for the I2C module is defined in the </p><div class="fragment"><div class="line"></div><div class="line"><span class="preprocessor">#ifndef MMWAVE_ERROR_H</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERROR_H</span></div><div class="line"></div><div class="line"><span class="comment">/**************************************************************************</span></div><div class="line"><span class="comment"> * Base Error Code for the mmWave modules</span></div><div class="line"><span class="comment"> **************************************************************************/</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_UART_BASE               (-2000)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CRC_BASE                (-2100)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_MAILBOX_BASE            (-2200)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_PINMUX_BASE             (-2300)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_ADCBUF_BASE             (-2400)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_ESM_BASE                (-2500)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_SPI_BASE                (-2600)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_DMA_BASE                (-2700)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_HWA_BASE                (-2800)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_SOC_BASE                (-2900)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_EDMA_BASE               (-3000)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_BASE                    (-3100)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CSI_BASE                (-3200)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CBUFF_BASE              (-3300)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CAN_BASE                (-3400)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CANFD_BASE              (-3500)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_QSPI_BASE               (-3600)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_QSPIFLASH_BASE          (-3700)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_I2C_BASE                (-3800)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_WATCHDOG_BASE           (-3900)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_HSI_HDR_BASE            (-4000)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CRYPTO_BASE             (-4100)</span></div><div class="line"></div><div class="line"><span class="preprocessor">#endif  </span><span class="comment">/* MMWAVE_ERROR_H */</span><span class="preprocessor"></span></div><div class="line"></div></div><!-- fragment --> </div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
